package com.muyu.enterprise.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.enterprise.domain.CarManage;
import com.muyu.enterprise.domain.dto.CarDTO;
import com.muyu.enterprise.domain.vo.CarVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 车辆管理--持久层
 * @ClassName CarManageMapper
 * @Description 车辆管理 Mapper 层
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */

public interface CarManageMapper extends BaseMapper<CarManage> {
    /**
     * 车辆列表
     * @param queryWrapper
     * @return
     */
    List<CarVO> carList(LambdaQueryWrapper<CarVO> queryWrapper);

    /**
     * 车辆列表2
     * @param carDTO
     * @return
     */
    List<CarVO> CarListShow(CarDTO carDTO);

    /**
     * 通过id查询
     * @param carId
     * @return
     */
    List<CarVO> CarListShowByCarId(@Param("carId") Long carId);
}
